Qt 5.8 | Qt Sensors | QML Types | Magnetometer QML Type

Qt 5.8.0 Reference Documentation

# Magnetometer QML Type

The Magnetometer element reports on magnetic field strength along the Z, Y and Z axes. More...

Import Statement: | import QtSensors 5.0
Since: | QtSensors 5.0
Inherits: | Sensor

- List of all members, including inherited members

## Properties

- returnGeoValues : bool

## Detailed Description

The Magnetometer element reports on magnetic field strength along the Z, Y and Z axes.

This element wraps the QMagnetometer class. Please see the documentation for QMagnetometer for details.

See also MagnetometerReading.

## Property Documentation

returnGeoValues : bool

This property holds a value indicating if geomagnetic values should be returned.

Please see QMagnetometer::returnGeoValues for information about this property.